Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2004363 - perl-Perl-Critic-1.148 is available
Summary: perl-Perl-Critic-1.148 is available
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Perl-Critic
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-11-29 05:00 UTC by Upstream Release Monitoring
Modified: 2023-01-07 23:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
Update to 1.146 (#2004363) (1.08 KB, patch)
2022-12-22 04:32 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 1.148 (#2004363) (1.08 KB, patch)
2023-01-07 23:27 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2022-11-29 05:00:53 UTC
Releases retrieved: 1.142
Upstream release that is considered latest: 1.142
Current version/release in rawhide: 1.132-6.fc30
URL: http://search.cpan.org/dist/Perl-Critic/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://stg.fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://stg.release-monitoring.org/project/3209/


To change the monitoring settings for the project, please visit:
https://src.stg.fedoraproject.org/rpms/perl-Perl-Critic

Comment 1 Upstream Release Monitoring 2022-11-29 05:00:58 UTC
Scratch build failed. Details below:

GSSAPIAuthError: unable to obtain a session (gssapi auth failed: requests.exceptions.HTTPError: 503 Server Error: Service Unavailable for url: https://koji.stg.fedoraproject.org/kojihub/ssllogin)
Use following documentation to debug kerberos/gssapi auth issues. https://docs.pagure.org/koji/kerberos_gssapi_debug/
Traceback:
  File "/usr/local/lib/python3.10/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
  File "/usr/local/lib/python3.10/site-packages/hotness/builders/koji.py", line 195, in build
    session = self._session_maker()
  File "/usr/local/lib/python3.10/site-packages/hotness/builders/koji.py", line 422, in _session_maker
    result = koji_session.krb_login(
  File "/usr/lib/python3.10/site-packages/koji/__init__.py", line 2496, in krb_login
    return self.gssapi_login(principal=principal, keytab=keytab,
  File "/usr/lib/python3.10/site-packages/koji/__init__.py", line 2586, in gssapi_login
    raise GSSAPIAuthError(err)

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 2 Upstream Release Monitoring 2022-12-06 07:47:45 UTC
Releases retrieved: 1.144
Upstream release that is considered latest: 1.144
Current version/release in rawhide: 1.132-6.fc30
URL: http://search.cpan.org/dist/Perl-Critic/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://stg.fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://stg.release-monitoring.org/project/3209/


To change the monitoring settings for the project, please visit:
https://src.stg.fedoraproject.org/rpms/perl-Perl-Critic

Comment 3 Upstream Release Monitoring 2022-12-06 07:47:48 UTC
Scratch build failed. Details below:

GSSAPIAuthError: unable to obtain a session (gssapi auth failed: requests.exceptions.HTTPError: 503 Server Error: Service Unavailable for url: https://koji.stg.fedoraproject.org/kojihub/ssllogin)
Use following documentation to debug kerberos/gssapi auth issues. https://docs.pagure.org/koji/kerberos_gssapi_debug/
Traceback:
  File "/usr/local/lib/python3.10/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
  File "/usr/local/lib/python3.10/site-packages/hotness/builders/koji.py", line 195, in build
    session = self._session_maker()
  File "/usr/local/lib/python3.10/site-packages/hotness/builders/koji.py", line 422, in _session_maker
    result = koji_session.krb_login(
  File "/usr/lib/python3.10/site-packages/koji/__init__.py", line 2496, in krb_login
    return self.gssapi_login(principal=principal, keytab=keytab,
  File "/usr/lib/python3.10/site-packages/koji/__init__.py", line 2586, in gssapi_login
    raise GSSAPIAuthError(err)

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 4 Upstream Release Monitoring 2022-12-22 04:32:27 UTC
Releases retrieved: 1.146
Upstream release that is considered latest: 1.146
Current version/release in rawhide: 1.144-1.fc38
URL: http://search.cpan.org/dist/Perl-Critic/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://stg.fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://stg.release-monitoring.org/project/3209/


To change the monitoring settings for the project, please visit:
https://src.stg.fedoraproject.org/rpms/perl-Perl-Critic

Comment 5 Upstream Release Monitoring 2022-12-22 04:32:32 UTC
Created attachment 1810198 [details]
Update to 1.146 (#2004363)

Comment 6 Upstream Release Monitoring 2022-12-22 04:37:33 UTC
the-new-hotness/stg.release-monitoring.org's scratch build of perl-Perl-Critic-1.146-1.fc36.src.rpm for rawhide failed http://koji.stg.fedoraproject.org/koji/taskinfo?taskID=96013676

Comment 7 Upstream Release Monitoring 2023-01-07 23:27:35 UTC
Releases retrieved: 1.148
Upstream release that is considered latest: 1.148
Current version/release in rawhide: 1.146-1.fc38
URL: http://search.cpan.org/dist/Perl-Critic/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://stg.fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://stg.release-monitoring.org/project/3209/


To change the monitoring settings for the project, please visit:
https://src.stg.fedoraproject.org/rpms/perl-Perl-Critic

Comment 8 Upstream Release Monitoring 2023-01-07 23:27:40 UTC
Created attachment 1810496 [details]
Update to 1.148 (#2004363)

Comment 9 Upstream Release Monitoring 2023-01-07 23:32:12 UTC
the-new-hotness/stg.release-monitoring.org's scratch build of perl-Perl-Critic-1.148-1.fc36.src.rpm for rawhide failed http://koji.stg.fedoraproject.org/koji/taskinfo?taskID=96017158


Note You need to log in before you can comment on or make changes to this bug.